---
title: DataTransfer.mozGetDataAt()
slug: Web/API/DataTransfer/mozGetDataAt
tags:
  - API
  - Method
  - Non-standard
  - Reference
  - drag and drop
---
<div>{{APIRef("HTML Drag and Drop API")}}</div>

<p>{{ Non-standard_header() }}{{deprecated_header}}</p>

<p>The <strong><code>DataTransfer.mozGetDataAt()</code></strong> method is used to retrieve an item in the drag event's {{domxref("DataTransfer","data transfer")}} object, based on a given <code>format</code> and <code>index</code>. This method returns <code>null</code> if the specified item does not exist or if the index is not in the range from zero to the number of items minus one.</p>

<div class="note"><strong>Note:</strong> This method is Gecko-specific.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">nsIVariant <em>dataTransfer</em>.mozGetDataAt([type], index);
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em>type</em></dt>
 <dd>A {{domxref("DOMString","string")}} representing the type of the drag data to retrieve from the {{domxref("DataTransfer","drag data object")}}.</dd>
 <dt><em>index</em></dt>
 <dd>A <code>unsigned long</code> representing the index of the data to retrieve.</dd>
</dl>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt>{{interface("nsIVariant")}}</dt>
 <dd>The data item requested. If the specified item does not exist, <code>null</code> is returned.</dd>
</dl>

<h2 id="Example">Example</h2>

<p>This example shows the use of the <code>mozGetDataAt()</code> method in a {{event("drop")}} event handler.</p>

<pre class="brush: js">function drop_handler(event)
{
  var dt = event.dataTransfer;
  var count = dt.mozItemCount;
  output("Items: " + count + "\n");

  for (var i = 0; i &lt; count; i++) {
    output(" Item " + i + ":\n");
    var types = dt.mozTypesAt(i);
    for (var t = 0; t &lt; types.length; t++) {
      output("  " + types[t] + ": ");
      try {
        var data = dt.mozGetDataAt(types[t], i);
        output("(" + (typeof data) + ") : &lt;" + data + " &gt;\n");
      } catch (ex) {
        output("&lt;&gt;\n");
        dump(ex);
      }
    }
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>This method is not defined in any Web standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DataTransfer.mozGetDataAt")}}</p>

<h2 id="See_also">See also</h2>

<p><a> </a></p>
